← Tablas

Scotland

National League Division 3

#EquipoPWDLPDBPPtsForma
1Cartha Queens Park RFC6600+154529WWWWW
2Allan Glen's RFC6501+73626WWWWL
3Strathmore RFC6501+91424WLWWW
4Dumfries Saints RFC6402+59622LWWLW
5West of Scotland FC6303+60416LWWLW
6Aberdeen Grammar Rugby6204-112513LWLLL
7Orkney RFC6204-27412LWLLW
8Lasswade RFC6105-8959WLLLL
9Berwick RFC6105-14359LLWLL
10Hillhead Jordanhill RFC6105-6626LLLLW

Fuente: Scottish Rugby · consultado 14 oct, 04:52 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.